#!/usr/bin/perl
# test script using the Pg.pm module for accessing a postgres database.
# v0.02  10-Aug-2002  by G.Knauf <info@gknw.de>
#

# modify the values below if needed (commented values = use defaults).
#$pghost = 'localhost';
#$pgport = '5432';
#$pgopts = '';
#$pgtty = '';
$pguser = 'postgres';
$pgpwd = '';
#$dbname = 'template1';
$dbname = 'webauth';
$table = 'user_pwd';
#---------------------------------------------------------------------
use Pg;

@reserr = ('PGRES_EMPTY_QUERY', 'PGRES_COMMAND_OK', 'PGRES_TUPLES_OK',
           'PGRES_COPY_OUT', 'PGRES_COPY_IN', 'PGRES_BAD_RESPONSE',
           'PGRES_NONFATAL_ERROR', 'PGRES_FATAL_ERROR');

$conn = Pg::setdbLogin($pghost, $pgport, $pgopts, $pgtty, $dbname, $pguser, $pgpwd);
$status = $conn->status;
if ($status == PGRES_CONNECTION_BAD) {
  printf("Error connecting to '$pghost':\n%s\n", $conn->errorMessage);
  exit;
} else {
  print "connected to '$pghost' database '$dbname'!\n";
}
printf("PID: %d\n", $conn->backendPID);

$query = "SELECT * from $table"; 
$result = $conn->exec($query); 
$status = $result->resultStatus;
if ($status != PGRES_TUPLES_OK) {
  print "Error querying '$table', status: $reserr[$status]\n";
  exit;
}
$nfields = $result->nfields;
print "$nfields fields found in table '$table':\n";
for (0..$nfields-1) {
  print "Fname: ".$result->fname($_)."\tFtype: ".$result->ftype($_)."\n";
}
print "Contents of '$table':\n";
while (@row = $result->fetchrow) {
  for (@row) {
    print "$_ ";
  }
  print "\n";
}
print "\n";

exit;

